package com.base.task.model;

import org.springframework.stereotype.Component;

@Component
public class TaskPreparations {

    /**
     * 单个可执行文件单位时间内可执行的任务数量
     */
    private Integer concurrentCounts = 1;

    /**
     * 每个可执行文件创建多少个包
     */
    private Integer exePackageCounts = 7;

    /**
     * 上面两个参数是否对应
     */
    private Boolean isSingle = true;

    public Integer getConcurrentCounts() {
        return concurrentCounts;
    }

    public void setConcurrentCounts(Integer concurrentCounts) {
        this.concurrentCounts = concurrentCounts;
    }

    public Integer getExePackageCounts() {
        return exePackageCounts;
    }

    public void setExePackageCounts(Integer exePackageCounts) {
        this.exePackageCounts = exePackageCounts;
    }



}
